Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.codec.tiff
Class TIFFImageEncoder

    java.lang.Object
      org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl
          org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder

All Implemented Interfaces:
  ImageEncoder

    public class TIFFImageEncoder

extends ImageEncoderImpl

A baseline TIFF writer. The writer outputs TIFF images in either Bilevel, Greyscale, Palette color or Full Color modes.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl
`output, param`

Constructor Summary
`TIFFImageEncoder(OutputStream output, ImageEncodeParam param)`

Method Summary
`void` | `encode(RenderedImage im)` Encodes a RenderedImage and writes the output to the OutputStream associated with this ImageEncoder.

Methods inherited from class org.apache.batik.ext.awt.image.codec.util.ImageEncoderImpl
`encode, getOutputStream, getParam, setParam`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TIFFImageEncoder

    public TIFFImageEncoder(OutputStream output,
                            ImageEncodeParam param)

Method Detail

### encode

    public void encode(RenderedImage im)
                throws IOException

  Encodes a RenderedImage and writes the output to the OutputStream associated with this ImageEncoder.

  Specified by:
    `encode` in interface `ImageEncoder`
  Specified by:
    `encode` in class `ImageEncoderImpl`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.